org.springframework.aop.target

## Interface PoolingConfig

All Known Implementing Classes:
  AbstractPoolingTargetSource, CommonsPoolTargetSource

    public interface PoolingConfig

Config interface for a pooling target source.

Author:
  Rod Johnson, Juergen Hoeller

### Method Summary

Methods
`int` `getActiveCount()` Return the number of active objects in the pool.
`int` `getIdleCount()` Return the number of idle objects in the pool.
`int` `getMaxSize()` Return the maximum size of the pool.

### Method Detail

#### getMaxSize

    int getMaxSize()

Return the maximum size of the pool.

#### getActiveCount

    int getActiveCount()
                       throws UnsupportedOperationException

Return the number of active objects in the pool.

Throws:
  `UnsupportedOperationException` - if not supported by the pool

#### getIdleCount

    int getIdleCount()
                     throws UnsupportedOperationException

Return the number of idle objects in the pool.

Throws:
  `UnsupportedOperationException` - if not supported by the pool